# frozen_string_literal: true

require 'thor'

module Yadecli
  module Cli
    # Build
    class Task < Thor

      desc 'list', 'List the available tasks of a xxx'
      def list(project_name, module_name = nil)
        CliUtil.print_header'YadeCli Tasks', ['This are the available Yade tasks', '']

        Yadecli::Command::Task::TaskListCommand.run(project_name: project_name, module_name: module_name)

        #CliUtil.print_command_outcome(outcome)
      end

      # desc 'exec', 'Execute a module task'
      # def exec(module_name, task_name)
      #   #Yadecli::Service::BuildTaskService.new.exec(module_name, task_name)
      # end
    end
  end
end