# frozen_string_literal: true

# rvm util
class NvmUtil

  def self.setup_nvm(project, nvm_runtime)
    puts ''
    puts 'Setup nvm:'.colorize(:mode => :bold)

    # .nvmrc
    puts " ↳ Create .nvmrc with #{nvm_runtime.version}"
    File.open("#{project.home}/.nvmrc", 'w') { |f| f.write(nvm_runtime.version) }
  end
end