# frozen_string_literal: true

# rvm util
class PyenvUtil

  def self.setup_pyenv(project, pyenv_runtime)
    puts ''
    puts 'Setup pyenv:'.colorize(:mode => :bold)

    # .pyenv-version
    puts " ↳ Create .pyenv-version with #{pyenv_runtime.version}"
    File.open("#{project.home}/.pyenv-version", 'w') { |f| f.write(pyenv_runtime.version) }
  end
end